#!/bin/sh
# © Sealevel Systems, Inc. 2012
# This sript is released under the LGPL license.  See COPYING.LESSER for more information.
# Sealevel custom target mod script
# This is used to add device specific modifcations to the final buildroot image.
# NOTE: By buildroot convention the first argument to this script is the target path

if [ -z "$1" ]; then
	echo "ERROR: This script requires a target path!"
	exit 1;
fi

BOARD=board/sealevel/s91200-8r/target
COMMON=board/sealevel/common/target

mkdir -p $1/etc

#default root password... set to root
cp $COMMON/shadow $1/etc/shadow
chmod 600 $1/etc/shadow

#static RSA/DSA keys for SSH
cp $COMMON/ssh/* $1/etc/
chmod 600 $1/etc/ssh_host_*_key
chmod 644 $1/etc/ssh_host_*.pub

#startup script (MAC address, serial number, flash, autostartup app hook)
mkdir -p $1/etc/init.d
cp $COMMON/sealevel_startup $1/etc/init.d/S45sealevel
chmod 755 $1/etc/init.d/S45sealevel
